__copy_to_user
Prev | User Space Memory Access | Next

## Name

__copy_to_user — Copy a block of data into user space, with less checking.

## Synopsis

`unsigned long __must_check __copy_to_user (` | void __user * | to,
| const void * | from,
| unsigned long | n`)`;

## Arguments

`to`

  Destination address, in user space.

`from`

  Source address, in kernel space.

`n`

  Number of bytes to copy.

## Context

User context only. This function may sleep.

## Description

Copy data from kernel space to user space. Caller must check the specified block with `access_ok` before calling this function.

Returns number of bytes that could not be copied. On success, this will be zero.

Prev | Up | Next
__copy_to_user_inatomic | Home | __copy_from_user